Wed Jun 23 02:43:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Fix idle times for -1.

Wed Jun 23 01:32:40 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Implement the display hack for buddy idle times of -1.

Wed Jun 23 01:22:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Display minutes in the idle time strings with leading 0s.

Wed Jun 23 01:14:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBuddyList.h:
	* src/QGaimEventLoop.cpp:
	* src/QGaimDialogs.cpp:
	* src/QGaimRequest.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimBuddyList.cpp:
	  - qpe-gaim now compiles against libgaim 0.79cvs.

Mon Apr 05 20:52:44 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimEventLoop.h:
	  - Hopefully make the slots work.

Mon Apr 05 20:49:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimEventLoop.cpp:
	* src/QGaimEventLoop.h:
	* src/QGaimMainWindow.cpp:
	* src/QGaimMainWindow.h:
	* gaim.pro:
	  - Added Qt event loop bindings.
	  - Fixed to compile with libgaim 0.76.

Wed Feb 18 16:33:12 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimTabBar.cpp:
	  - Status changes no longer applies to the wrong tabs, and issues
	    closing some tabs are fixed. This fixes bug #831222.

Wed Feb 18 16:09:45 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Cleaned up some conditionals.

Sat Feb 07 16:24:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBuddyList.cpp:
	  - Move from some deprecated functions to the new replacements.

Sat Feb 07 16:08:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimProtocolBox.cpp:
	  - The first listed protocol is now the default.

Sat Feb 07 15:43:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimBuddyList.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimProtocolBox.cpp:
	* src/QGaimProtocolBox.h:
	* src/QGaimProtocolUtils.cpp:
	* src/QGaimProtocolUtils.h:
	  - Updated to compile against libgaim 0.75.

Thu Jan 01 00:50:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* Copyright Commit 2004.

Sat Nov 22 00:59:44 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* mkstuff.conf:
	  - Release 0.4.

Fri Nov 21 23:30:52 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Require libopie.

Sun Nov 16 14:55:02 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Don't increment the active notification count when a single
	    conversation is notifying multiple times. This way, the LED
	    doesn't get stuck.

Sun Nov 16 01:22:49 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Message notification should now activate whenever a message is
	    sent to the non-active window.

Sun Nov 16 01:13:58 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Stop the new message notification when the tab is selected.

Sun Nov 16 01:01:29 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimNotify.cpp:
	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Added message notification optionally using the buzzer and LED.

Sat Nov 15 23:56:54 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimMainWindow.cpp:
	* src/QGaimNotify.cpp:
	* src/QGaimNotify.h:
	  - Added the base functionality for message notification.

Sat Nov 15 22:16:48 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Fixed a crash when closing the preferences dialog.

Sat Nov 15 22:11:27 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Fixed a crash when building the Buddy List prefs page.

Sat Nov 15 22:06:12 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Replaced some glib calls with their Qt equivalents.

Fri Nov 14 10:54:01 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Shrink the second column when we're in the big list, since we
	    won't be using it.

Fri Nov 14 10:53:27 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Added a "Show warnings" preference to the buddy list.

Fri Nov 14 10:52:30 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Hide the other preference pages for now, since they're currently
	    empty.

Tue Nov 11 23:32:48 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Updated to work with the new directory structure in data/images.

Tue Nov 11 23:32:05 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	* src/QGaimMainWindow.cpp:
	  - The Big List (TM) now looks like gtk-gaim's.

Tue Nov 11 17:28:01 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - It's now up to paintCell() to format the output for the group
	    information, and it looks much nicer.

Mon Nov 03 21:49:36 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimMainWindow.cpp:
	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Added an optional Big List, which is default for larger resolutions.

Mon Nov 03 15:40:36 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Fixed an image name in a menu.

Mon Nov 03 14:53:27 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimMainWindow.cpp:
	  - Fixed the order of core and UI initialization, so that signals in
	    QGaimBListWindow won't have problems.

Mon Nov 03 10:59:17 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Fix icons in the preferences dialog.

Mon Nov 03 10:40:15 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* gaim.pro:
	  - Added 32x32 images for larger resolutions.

Mon Nov 03 08:30:17 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimMainWindow.cpp:
	  - Toolbar buttons are 32x32 on larger screens.

Mon Nov 03 00:46:06 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - Reduce the delay for the pop-up menu on the conversations button
	    to 250ms.

Mon Nov 03 00:36:53 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsBox.cpp:
	* src/QGaimAccountsBox.h:
	  - Our algorithm for truncating overly long account usernames in
	    the account combobox is now much smarter.

Sun Nov 02 17:06:14 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Idle times are now aligned on the far right of the buddy list
	    on all resolutions.

Sun Nov 02 16:53:09 PST 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Small code tweak to turn 4 lines into 1.

Thu Oct 23 21:12:29 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - The Join Chat button actually works right now.

Thu Oct 23 21:09:11 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Made the groups in the buddy list bold.

Thu Oct 23 20:54:33 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Added support for showing group numbers in the buddy list.

Thu Oct 23 20:47:06 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimBuddyList.cpp:
	* src/QGaimMainWindow.cpp:
	* src/QGaimMainWindow.h:
	* src/QGaimPrefsDialog.cpp:
	  - Modifying the buddy list prefs now actually updates the buddy list.

Thu Oct 23 20:30:16 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Shorten the number of visible lines in the text entry to 3.

Thu Oct 23 19:33:40 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - The Join Chat button should now work even when a node isn't
	    selected.

Thu Oct 23 19:31:00 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Fixed a pref name.

Thu Oct 23 19:30:02 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimMainWindow.cpp:
	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Added buddy list prefs. Not all work yet.

Wed Oct 22 23:34:24 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - The accounts window's listview resizes a bit nicer on larger
	    resolutions now.

Wed Oct 22 22:58:01 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimMainWindow.cpp:
	  - Closing the window on a conversation no longer closes Gaim.

Wed Oct 22 22:45:49 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Default to the Buddy List preference page when entering the
	    Preferences dialog.

Wed Oct 22 22:41:29 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaim.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimMainWindow.cpp:
	* src/QGaimMainWindow.h:
	* src/QGaimRequest.cpp:
	* src/main.cpp:
	  - Removed the QGaim class, and added QGaimMainWindow. This cleans up
	    the code just a tad, and will allow for some startup progress stuff.

Wed Oct 22 20:52:15 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	* gaim.pro:
	  - We're now using libopie!

Mon Oct 20 22:13:34 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimInputDialog.cpp:
	  - Fixed a compiler error.

Mon Oct 20 20:56:46 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Setup the base framework for the preference pages.

Mon Oct 20 20:03:10 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	  - Added icons to the tabs in the preferences.

Mon Oct 20 18:51:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Show the preferences dialog full-screen.

	* src/QGaimPrefsDialog.cpp:
	  - The tab widget in the prefs dialog now takes up the whole dialog.

Mon Oct 20 18:46:22 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Added the Preferences item to the drop-down menu in the buddy list.

Mon Oct 20 18:30:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	* gaim.pro:
	  - Allow QGaimPrefsDialog to compile.

Sat Sep 27 00:40:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Fixed a crash when right-clicking on parts of the buddy list.

Sat Sep 27 00:30:44 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Fixed a crash when pressing the chat button when no nodes are
	    selected.
	  - Changed the default IM and Chat icons to be the New IM and
	    New Chat icons.

Sat Sep 27 00:23:52 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - We were connecting signals in the QGaimConvButton destructor.
	    Bad! Those should be disconnected.

Fri Sep 26 23:33:30 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Clicking the IM button on a contact now opens an IM window
	    with the person.

Fri Sep 26 08:42:11 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Toolbar buttons now work correctly with contact support.

Thu Sep 25 16:16:20 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Contacts in the buddy list now behave as they do in gtk gaim,
	    which means a contact looks like a normal buddy unless you
	    tap-and-hold and click Expand, in which case it becomes a group.
	    Clicking collapse or clicking the little collapse icon next to it
	    will turn it back into its buddy form.

Thu Sep 25 15:55:13 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/collapse.png:
	* data/images/expand.png:
	  - Added Expand and Collapse images.

Thu Sep 25 08:51:51 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Unexpanding a contact now hides the buddies inside.

Thu Sep 25 08:46:04 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Display the gaim icon when a flag in the item says it's expanded.
	    That's currently not set anywhere yet, though.

Wed Sep 24 22:48:32 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - The tree is now parsed and displayed as a tree with contacts.

Wed Sep 24 20:55:18 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* make.sh:
	  - Rebuild Makefile every time make.sh is ran.

Wed Sep 24 20:45:39 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBuddyList.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimDialogs.cpp:
	  - API sync with libgaim 0.69.

Thu Sep 11 08:28:42 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimPrefsDialog.cpp:
	* src/QGaimPrefsDialog.h:
	  - Adding the initial framework for the preferencs dialog.

Thu Aug 28 23:28:34 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Added support for registering accounts on protocol plugins that
	    support it (such as Jabber).

Thu Aug 28 22:39:54 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* README:
	* gaim.pro:
	* mkstuff.conf:
	  - Bumped the version up to 0.3cvs.

Thu Aug 28 22:27:53 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Synced with libgaim 0.68cvs.

Fri Aug 15 16:43:57 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* mkstuff.conf:
	  - Releasing 0.2.

Fri Aug 15 16:26:07 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimImageUtils.cpp:
	* src/QGaimImageUtils.h:
	  - Offline accounts in the accounts window are now greyed instead
	    of dimmed.

Fri Aug 15 15:03:47 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimProtocolUtils.cpp:
	* src/QGaimProtocolUtils.h:
	  - Added protocol icon caching.

Fri Aug 15 14:20:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBuddyList.cpp:
	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	  - Clicking the New IM button now brings up a dialog.

Fri Aug 15 14:03:03 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/new-chat.png:
	* data/images/new-im.png:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimBuddyList.cpp:
	* gaim.pro:
	  - The Send/New IM and Open/New Chat icons now have a happy little
	    magic star on the side of them when the action is to create a
	    new IM or chat.

Fri Aug 15 13:42:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Added idle times to the buddy list.

Fri Aug 15 13:26:52 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Double-clicking a chat in the buddy list now joins the chat.

Fri Aug 15 13:21:39 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Chats in the buddy list now get icons.

Fri Aug 15 13:19:15 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	  - Added the Add Chat dialog.

Fri Aug 15 03:23:27 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Added a timer to save the buddy list after 2 seconds when one or
	    more groups are expanded or collapsed. This prevents a buddy list
	    write every time the group is expanded or collapsed, which was
	    slow and wasteful.

Fri Aug 15 03:08:17 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The account button in the conversations window now longer shows
	    its state as active.
	  - Removed old stuff that's not needed anymore.

Fri Aug 15 02:53:00 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Changing the tabs now focuses the entry box 100% of the time,
	    hopefully, and scrolls the text view to the bottom.

Fri Aug 15 02:45:02 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The text view in chats now scrolls to the bottom when toggling
	    the Show User List button.

Fri Aug 15 02:41:22 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The user list button wasn't being updated to the state of the
	    current tab. Fixed.

Fri Aug 15 02:32:17 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The current chat tab no longer gets highlighting, and the
	    colors don't get "stuck."

Fri Aug 15 02:25:19 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The user list toggle button never got re-added after changing
	    how the toolbar was created. Fixed.

Fri Aug 15 02:15:20 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	  - Changing the account in the drop-down list in the Join Chat
	    dialog now updates the widgets for specifying the
	    protocol-dependent chat information.

Fri Aug 15 00:55:11 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	  - Added the Join Chat dialog.

Fri Aug 15 00:32:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Connecting to an account, disconnecting, and then connecting to
	    any account no longer crashes.

Thu Aug 14 03:04:29 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimImageUtils.cpp:
	* src/QGaimImageUtils.h:
	  - Icons for accounts not signed on in the accounts window are
	    now saturated, and accounts signed on are normal. It's now
	    much easier to distinguish between signed on and signed off
	    accounts without having to click them to see the status of the
	    connect/disconnect buttons.
	  - The connect/disconnect buttons now update the selected item when
	    signed on or off.

Thu Aug 14 02:41:49 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Added the buttons and menu items for joining and adding chats.
	    No implementation yet.

Thu Aug 14 02:22:24 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/send-im.png:
	  - Updated the IM icon.

Thu Aug 14 02:10:21 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/protocols/small/irc.png:
	  - Updated the IRC protocol icon.

Thu Aug 14 02:03:52 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Changed the Add button to drop down a menu, which currently
	    contains Add Buddy and Add Group, and will later have Add Chat.

Thu Aug 14 01:41:47 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimInputDialog.cpp:
	* src/QGaimInputDialog.h:
	* src/QGaimRequest.cpp:
	* src/QGaimRequest.h:
	* gaim.pro:
	  - Added QGaimInputDialog, and fixed the gaim_request_input UI.

Thu Aug 14 01:38:45 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimNotify.cpp:
	  - Synced with the latest 0.67cvs API changes.

Wed Aug 13 09:39:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	  - Remove the dependency on OSCAR from the account editor.

Sun Aug 10 14:19:28 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - QToolButton -> QAction.

Sun Aug 10 13:57:10 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Moved Show Offline Buddies into a settings/display menu.

Sun Aug 10 01:35:06 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Disabled the User Actions button.

Sun Aug 10 01:33:11 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The last character in the text sent is no longer stripped when
	    pressing the Send button instead of pressing Enter.

Sun Aug 10 01:25:28 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Event unseen types are now handled.
	  - Synced with the 0.67cvs API changes.

Sat Aug 09 23:11:03 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/main.cpp:
	  - Added the #ifdef LOCAL_COMPILE back.
	  - Moved the QMainWindow initialization before the core init.

Sat Aug 09 23:08:44 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Fixed the bug where the active conversation index was returning
	    a very wrong value, which made closing tabs and stuff not work.

Sat Aug 09 00:40:22 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimConvWindow.cpp:
	  - Fixed a crash when trying to get a protocol icon for a buddy not on
	    your list.

Sat Aug 09 00:03:19 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* gaim.pro:
	* make.sh:
	  - The code can now detect between cross-compiles and native compiles
	    when called from the packaging scripts bundled in qpe-gaim.

Fri Aug 08 23:39:28 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaim.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/main.cpp:
	  - Connection meters now appear at the bottom of gaim, no matter which
	    area (buddy list, conversations, accounts, etc.) you're in.

Fri Aug 08 23:18:29 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	  - Expanding or closing a group will not save the collapsed
	    attribute.

Fri Aug 08 23:09:45 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Groups marked with their collapsed attribute as FALSE are now
	    expanded when first set up.

Fri Aug 08 23:01:01 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/main.cpp:
	  - The buddy list window is now displayed after all prefs and other
	    core thingies are loaded.

Fri Aug 08 22:12:58 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimImageUtils.cpp:
	* src/QGaimImageUtils.h:
	  - Adding saturation to the icon next to each idle user in the
	    buddy list, and greyed out any offline users.

Fri Aug 08 22:00:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	* src/main.cpp:
	  - Added the Show Offline Buddies feature that many users seem to
	    want so badly in a Qtopia IM client.

Fri Aug 08 20:58:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Hooked up the Add Group dialog.

Fri Aug 08 20:05:55 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Added confirmation dialogs and support for deleting buddies,
	    chats, and groups.

Fri Aug 08 19:22:21 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaim.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/main.cpp:
	  - qpe-gaim no longer has a window per conversation window, buddy list,
	    and accounts. They merged into one window with a widget stack, which
	    is must cleaner. Patch by Harlekin from OPIE, with some fixes thrown
	    in by me.

Fri Aug 08 17:23:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Buddies with no status emblems weren't getting protocol icons
	    either. Fixed.

Fri Aug 08 17:21:21 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The icon on the conversation tab now shows the user's status.

Fri Aug 08 17:09:23 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	  - Added an offset for the emblem on buddy status icons.

Fri Aug 08 16:43:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	* src/QGaimImageUtils.cpp:
	* src/QGaimImageUtils.h:
	* gaim.pro:
	  - Added QGaimImageUtils, put status icons in the buddy list, and
	    added login/logout door icons.

Fri Aug 08 03:59:04 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mktarball.sh:
	  - The generated tarball directory name and filename now include
	    the release number.

Thu Aug 07 02:00:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimBuddyList.cpp:
	* src/QGaimBuddyList.h:
	* gaim.pro:
	  - Split the buddy list code out of the buddy list window and into
	    its own widget.

Wed Aug 06 21:24:10 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimNotify.cpp:
	  - Synced with the changes in gaim CVS.

Mon Aug 04 01:30:19 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Hopefully prevented chat tabs from indicating that there's new
	    messages in it when you're already on that tab.

Mon Aug 04 01:27:08 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/userlist.png:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* gaim.pro:
	  - Added a user list to chats.

Mon Aug 04 00:47:12 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimRequest.cpp:
	* src/QGaimRequest.h:
	* src/main.cpp:
	* gaim.pro:
	  - Added a basic request UI. Unfortunately, many things have
	    issues in it. Hopefully it won't cause too much trouble.

Sun Aug 03 23:48:26 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Added basic chat UI support.

Sun Aug 03 23:19:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimNotify.cpp:
	  - Fixed some translation stuff.

Sun Aug 03 23:11:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountBox.cpp:
	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConnectionMeter.cpp:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimProtocolBox.cpp:
	* src/QGaimProtocolUtils.cpp:
	* src/QGaimProtocolUtils.h:
	  - The protocol icon loading functions now return a QPixmap instead
	    of a pointer to a QPixmap.

Sun Aug 03 23:04:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConnectionMeter.cpp:
	  - Prettied up the connection meter a little. Adding some margins,
	    spacing, and a protocol icon.

Sun Aug 03 22:57:32 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - When the last buddy in a group signs off, the group is removed
	    from view.

Sun Aug 03 22:49:40 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - The toolbar icons on the buddy list window display again.

Sun Aug 03 22:43:13 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimProtocolUtils.cpp:
	* src/main.cpp:
	  - We now use Resource::loadPixmap() to get our images.

Sun Aug 03 22:40:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	* mkstuff.conf:
	  - CVS snapshot packages now have a release of 0.$RELEASE.

Sun Aug 03 22:38:44 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* gaim.desktop:
	* mkipk.sh:
	* mkstuff.conf:
	* make.sh:
	  - Redid the build system.

Sun Aug 03 02:48:47 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Removing buddies from the buddy list is now supported. Well, it
	    would be, if I had a UI in place for the Request API. I'll look
	    into that nightmare tomorrow.

Sun Aug 03 02:32:23 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimDebugWindow.cpp:
	* src/main.cpp:
	  - fprintf()s have been changed to qDebug() and friends.

Sun Aug 03 01:51:58 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - The Add Buddy button is no longer enabled when no accounts are
	    signed on. Thanks to treke for reporting this bug.

Sat Aug 02 19:40:33 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimDialogs.cpp:
	  - Fixed a compiler error that occurred on the gcc I'm using for arm.
	    Picky picky.

Sat Aug 02 19:36:07 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - <font face="..."> lines with uninstalled fonts were causing QTextView
	    to crash, at least on qtopia-free. We now strip these. Who wants to
	    render people's custom fonts on their PDA anyway? As if they'd even
	    have them installed half the time.

Sat Aug 02 02:15:02 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountBox.cpp:
	  - Changing the cut-off point to 16 characters. I *will* find a
	    better solution than this. Bet on it.

Sat Aug 02 02:13:16 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Clicking Add Buddy when a group or a buddy is selected will now
	    default the new buddy to that group.

Sat Aug 02 02:09:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountBox.cpp:
	* src/QGaimAccountBox.h:
	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	  - Buddies can now be added to the buddy list.

Sat Aug 02 02:07:50 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimNotify.cpp:
	  - The notification UI now does its best to enforce word wrapping
	    in the text being displayed.

Sat Aug 02 01:38:37 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountBox.cpp:
	  - The account drop-down box now truncates an account name if it's
	    longer than 18 characters. I hate hard-coding this, but Qt is
	    just too messy to make me want to figure out another method that
	    works (not that I haven't tried). Suggestions are welcome.

Sat Aug 02 00:59:17 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountBox.cpp:
	* src/QGaimAccountBox.h:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimDialogs.cpp:
	* src/QGaimDialogs.h:
	* gaim.pro:
	  - Added an account combobox, and the initial UI of the Add Buddy
	    dialog.

Fri Aug 01 22:22:09 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimNotify.cpp:
	  - Fixed the text for the mail notification dialog.

Fri Aug 01 22:16:07 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimNotify.cpp:
	* src/QGaimNotify.h:
	* src/main.cpp:
	* gaim.pro:
	  - Added the notification UI.

Fri Aug 01 21:25:22 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - The protocol icon is now shown next to the username in the
	    active conversations drop-down menu.

Fri Aug 01 21:12:26 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Added support for /me.

Fri Aug 01 20:48:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The entry widget is now word-wrapped.

Fri Aug 01 20:43:57 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Fixed Cae Bug #1, all the way from New Jersey! Gaim was sending
	    out a TYPED message even after sending a full message.

Fri Aug 01 20:18:54 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Outgoing typing notification is now supported.

Fri Aug 01 20:07:30 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The unwanted newline after every line entered in an IM or chat
	    is now stripped.

Fri Aug 01 20:01:16 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Use our QGaimTabWidget for the account editor.

Fri Aug 01 20:00:20 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimMultiLineEdit.cpp:
	* src/QGaimMultiLineEdit.h:
	  - Added history support to the input box.

Fri Aug 01 19:09:17 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimTabBar.cpp:
	  - The protocol icon for the account on each conversation is
	    now displayed on the tab.

Fri Aug 01 18:19:10 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - The Depends line was being written to stdout, and not to the
	    control file. Fixed.

Fri Aug 01 15:57:12 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Opening an IM window from the buddy list now raises the new tab
	    in the conversation window.

Fri Aug 01 15:50:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimTabBar.cpp:
	* src/QGaimTabBar.h:
	* src/QGaimTabWidget.cpp:
	* src/QGaimTabWidget.h:
	  - Added typing notification (incoming only).

Fri Aug 01 13:25:00 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkstuff.conf:
	  - Changed the version to 0.1-cvsdate.

Fri Aug 01 13:23:17 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimTabBar.cpp:
	* src/QGaimTabBar.h:
	* src/QGaimTabWidget.cpp:
	* src/QGaimTabWidget.h:
	* gaim.pro:
	  - Added a subclassed QTabBar and QTabWidget, which will be used
	    for some things such as typing notification shortly.

Thu Jul 31 16:57:07 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The text entry field should now be auto-focused, though it
	    appears it doesn't always auto-focus under some cases, which
	    I have not yet narrowed down. For now, it works mostly.

Thu Jul 31 16:46:58 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Clicking the Conversations button should no longer be able to
	    segfault.

Thu Jul 31 13:30:26 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Alternative package names for glib2 are now supported.

Thu Jul 31 08:29:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Clicking Send when there's nothing in the entry field no longer
	    crashes.
	  - The last character of an outgoing message isn't cut off anymore.

Thu Jul 31 08:07:19 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Raise the conversation window when starting a new conversation
	    with a user from your buddy list.

	* src/QGaimConvWindow.cpp:
	  - Probably fixed some issues that might arise with sending to
	    chats.

Thu Jul 31 01:07:47 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Require libglib2.0 and libgaim.

Thu Jul 31 00:57:56 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkstuff.conf:
	  - Updated to version 0.1.0 release.

Thu Jul 31 00:56:54 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - One button was disabled when it shouldn't have been, and another
	    was enabled when it shouldn't have been. Fixed.

Wed Jul 30 23:11:22 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Accounts set to auto-login no longer crash.

Wed Jul 30 23:04:12 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/main.cpp:
	  - Added auto-login.
	  - The correct path to the protocol plugins should now be set.

Wed Jul 30 22:47:06 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	  - Double-clicking (or double-tapping) a buddy now starts an IM with
	    them.

Wed Jul 30 22:43:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Disabled some buttons that aren't yet setup to be used.

Wed Jul 30 22:42:14 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Pressing Enter in the entry field in conv windows now sends the
	    text.

Wed Jul 30 22:36:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - New conversations can now be started from the buddy list.
	  - Greyed out buttons that aren't currently setup to be used.

Wed Jul 30 19:36:56 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - The account editor dialog now works correctly in all tests.
	  - Added a button for deleting an account.

Wed Jul 30 18:34:28 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	  - The protocol tab is now only enabled if there are options inside it.

Wed Jul 30 18:31:47 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Changing the protocol on the account editor's protocol drop-down
	    list now updates the whole account editor.

Tue Jul 29 01:39:54 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Editting an account without a protocol no longer crashes qpe-gaim.

Tue Jul 29 01:35:52 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Accounts without a protocol can no longer be connected to
	    or disconnected from.

Tue Jul 29 01:31:25 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Updating the protocol list box on an account now updates
	    part of the Account tab.

Tue Jul 29 01:15:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - The edit and delete account buttons are disabled until an
	    account is selected.

Tue Jul 29 01:11:50 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimAccountsWindow.cpp:
	  - The Add/Modify Account dialog is now of type QDialog.

Tue Jul 29 00:33:24 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimProtocolBox.cpp:
	* src/QGaimProtocolBox.h:
	  - The protocol box is now set to the active protocol in the
	    account editor.

Tue Jul 29 00:06:46 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - Added an Edit button to the Accounts window.

Mon Jul 28 23:58:13 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/protocols/small/napster.png:
	* data/images/edit.png:
	  - Updated the edit icon.
	  - Added a Napster protocol icon.

Mon Jul 28 16:05:48 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Added the Proxy tab.

Mon Jul 28 15:38:42 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Added the code for the Protocol Options tab.

Mon Jul 28 11:46:19 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - qpe-gaim actually compiles again.
	  - Moved some complex stuff into their own functions.

Mon Jul 28 03:15:08 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	  - Added a bit more to the account editor dialog.

Mon Jul 28 01:46:18 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimProtocolBox.cpp:
	* src/QGaimProtocolBox.h:
	* gaim.pro:
	  - Added a new widget that extends QComboBox and provides a list
	    of available protocols.

Mon Jul 28 00:52:59 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	* src/QGaimProtocolUtils.cpp:
	* src/QGaimProtocolUtils.h:
	* gaim.pro:
	  - Moved a utility function that worked its way into 3 different
	    classes due to laziness into a new utility class.

Mon Jul 28 00:13:26 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountEditor.cpp:
	* src/QGaimAccountEditor.h:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* gaim.pro:
	  - Added the very beginnings of the Add/Edit account dialog.

Sun Jul 27 23:14:01 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaim.h:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvButton.h:
	* src/QGaimConvWindow.cpp:
	* src/main.cpp:
	  - Clicking the conversations button (as opposed to holding it down)
	    now raises the last active conversation window.

Sun Jul 27 17:13:29 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Removed the delay on the pop-up menu.

Sun Jul 27 17:09:38 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Moved the warn, block, add/remove, and get info buttons into
	    the User menu.

Sun Jul 27 16:41:28 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The text view now scrolls to the bottom when a new IM comes in
	    or is sent.

Sun Jul 27 16:26:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - The text entry field clears after sending an IM now. Or at
	    least it should. I didn't test it, but hey, I'm perfect, right?

Sun Jul 27 16:24:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Sending messages over IMs and chats now actually works.

Sun Jul 27 03:32:02 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - QTabWidget's currentPageIndex() doesn't actually return the
	    index as the name suggests. It returns a unique ID. Worked
	    around this to return the page's actual current index.

Sun Jul 27 03:01:42 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaim.h:
	* src/main.cpp:
	  - The gaim core is now initialized through the new gaim_core API.

Sun Jul 27 02:24:45 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - The QGaimConvButton class registering and unregistering the
	    conversation signal handlers now passes itself as the module
	    handle, so that the handlers are unique to it.

Sun Jul 27 02:12:46 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - The conversation new/delete signal callbacks are now unregistered
	    when a conversations list button is destroyed.

Sun Jul 27 02:10:54 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - Oh yeah, make qpe-gaim compile again.

Sun Jul 27 02:10:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Conversations can now be closed.

Tue Jul 15 01:23:18 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Added the new buttons to the conversation window.

Tue Jul 15 00:32:40 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/block.png:
	* data/images/close_conv.png:
	* data/images/formatting.png:
	* data/images/smileys.png:
	* data/images/warn.png:
	* gaim.pro:
	  - Added block, close conversation, formatting, smileys, and warn
	    button images.

Tue Jul 15 00:24:05 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Removed the menubar in the conversation window and made the
	    toolbar more consistent with the other windows.

Mon Jul 14 21:32:39 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimConnectionMeter.cpp:
	* src/QGaimConnectionMeter.h:
	* src/main.cpp:
	  - Added connection progress bars to the Accounts window.

Mon Jul 14 19:17:53 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConnectionMeter.cpp:
	* src/QGaimConnectionMeter.h:
	* gaim.pro:
	  - Added the base of what will be the sign-on connection meters.

Mon Jul 14 16:18:18 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	  - The connect button is now greyed out while signing on.

Mon Jul 14 16:08:50 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The conversation button is now enabled/disabled depending on
	    whether or not any conversations exist.
	  - Core conversation windows are now closed when the window is closed.

Mon Jul 14 04:35:12 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvButton.cpp:
	  - The conversation button is now only enabled if there are any
	    active conversations.

Mon Jul 14 04:27:35 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - Added the conversations button to the accounts window.

Mon Jul 14 04:25:41 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimConvButton.cpp:
	* src/QGaimConvButton.h:
	* gaim.pro:
	  - Added a QGaimConvButton class, which handles all the conversation
	    button and menu mess.

Mon Jul 14 04:24:13 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	  - Added UI ops for conversation window show, hide, and raise.

Mon Jul 14 02:41:27 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Added a drop-down menu to the Conversations button on the buddy
	    list, which will be used for accessing other conversations not
	    in view.

Sun Jul 13 01:20:37 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkstuff.conf:
	  - Updated mkstuff.conf to be able to build CVS snapshots.

Sun Jul 13 01:03:48 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/delete.png:
	* data/images/new.png:
	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	* gaim.pro:
	  - Removed the menubar in the accounts window, and added
	    New Account and Delete Account buttons.

Sun Jul 13 00:44:42 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Removed the menubar completely, and put a nice toolbar in its place.

Sat Jul 12 02:11:40 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/add.png:
	* data/images/info.png:
	* data/images/new-group.png:
	* data/images/prefs.png:
	* data/images/remove.png:
	* gaim.pro:
	  - Added new toolbar icons.

Fri Jul 11 01:46:30 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Removed the Help menu.

Thu Jul 10 03:40:53 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* data/images/protocols/small/gadu-gadu.png:
	* data/images/protocols/small/jabber.c:
	* data/images/protocols/small/trepia.png:
	  - Added more protocol icons.

Thu Jul 10 01:07:45 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Put the .desktop file in the right directory.

Thu Jul 10 00:45:00 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* gaim.pro:
	  - Removed the paths specific to my setup for linking.

Wed Jul 09 16:43:04 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	  - Fixed up the ipk building script.

Wed Jul 09 16:34:33 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* mkipk.sh:
	* mkstuff.conf:
	* mktarball.sh:
	  - Added utility scripts to produce an ipkg and tarball.

Wed Jul 02 12:14:50 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Added a toolbar to the buddy list window.

Mon Jun 30 03:16:31 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimBListWindow.cpp:
	* src/QGaimConvWindow.cpp:
	* src/QGaimConvWindow.h:
	  - The conversations window now has a (non-working) menubar and
	    partially working window switching toolbar.

Thu Jun 26 18:13:21 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - Protocol icons are now shown in the buddy list.

Thu Jun 26 17:32:58 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimBListWindow.cpp:
	* src/QGaimBListWindow.h:
	  - We no longer show the branches in buddy groups. Unfortunately, the
	    top level still shows them. Not sure what to do there.

Thu Jun 26 17:14:27 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - Changed the connect button and added a disconnect button.

Thu Jun 26 16:51:14 PDT 2003  Christian Hammond <chipx86@gnupdate.org>

	* src/QGaimAccountsWindow.cpp:
	* src/QGaimAccountsWindow.h:
	  - Accounts are now sorted as they would be in the config file. That
	    is, unless you have a 7 digit number of accounts, in which case
	    any past account #999999 would be out of order.
